--- libtransmission/upnp.c	2018-05-02 01:18:29.000000000 +0800
+++ libtransmission/upnp.c	2024-08-01 04:05:52.000000000 +0800
@@ -219,8 +219,15 @@
         devlist = tr_upnpDiscover (2000);
 
         errno = 0;
-        if (UPNP_GetValidIGD (devlist, &handle->urls, &handle->data,
-                             handle->lanaddr, sizeof (handle->lanaddr)) == UPNP_IGD_VALID_CONNECTED)
+        if (
+#if (MINIUPNPC_API_VERSION >= 18)
+        UPNP_GetValidIGD (devlist, &handle->urls, &handle->data,
+                             handle->lanaddr, sizeof (handle->lanaddr), NULL, 0)
+#else
+        UPNP_GetValidIGD (devlist, &handle->urls, &handle->data,
+                             handle->lanaddr, sizeof (handle->lanaddr))
+#endif
+                             == UPNP_IGD_VALID_CONNECTED)
         {
             tr_logAddNamedInfo (getKey (), _(
                          "Found Internet Gateway Device \"%s\""),
